org.custommonkey.xmlunit

## Class SimpleNamespaceContext

- java.lang.Object
- - org.custommonkey.xmlunit.SimpleNamespaceContext

All Implemented Interfaces:
  NamespaceContext

    public class SimpleNamespaceContext
    extends java.lang.Object
    implements NamespaceContext

Implementation of NamespaceContext that's backed by a map.

### Field Summary

Fields
`static SimpleNamespaceContext` `EMPTY_CONTEXT` An empty context containing no prefixes at all.

### Constructor Summary

Constructors
Constructor and Description
`SimpleNamespaceContext(java.util.Map prefixMap)` Creates a NamespaceContext backed by the given map.

### Method Summary

Methods
`java.lang.String` `getNamespaceURI(java.lang.String prefix)` Obtain the URI for a given prefix.
`java.util.Iterator` `getPrefixes()` Get all prefixes of this context.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### EMPTY_CONTEXT

    public static final SimpleNamespaceContext EMPTY_CONTEXT

An empty context containing no prefixes at all.

### Constructor Detail

#### SimpleNamespaceContext

    public SimpleNamespaceContext(java.util.Map prefixMap)

Creates a NamespaceContext backed by the given map.

Copies the map, changes made to the given map after calling the constructor are not reflected into the NamespaceContext.

Parameters:
  `prefixMap` - maps prefix to Namespace URI

### Method Detail

#### getNamespaceURI

    public java.lang.String getNamespaceURI(java.lang.String prefix)

Description copied from interface: `NamespaceContext`
Obtain the URI for a given prefix.

Unlike the method in javax.xml.namespace.NamespaceContext doesn't have to implement any special handling for predefined prefix values.

Specified by:
  `getNamespaceURI` in interface `NamespaceContext`
Returns:
  null if the prefix is unknown.

#### getPrefixes

    public java.util.Iterator getPrefixes()

Description copied from interface: `NamespaceContext`
Get all prefixes of this context.

Specified by:
  `getPrefixes` in interface `NamespaceContext`